<?xml version="1.0" encoding="UTF-8"?>
<configuration>

	<appender price="dailyRollingFileAppender"
		class="ch.qos.logback.core.rolling.RollingFileAppender">
		<File>logs/product-discovery-engine.log</File>
		<rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
			<!-- daily rollover -->
			<FileNamePattern>logs/product-discovery-engine-access.%d{dd-MM-yyyy}.log.gz
			</FileNamePattern>
			<!-- keep 7 days' worth of history capped at 100MB total size -->
			<maxHistory>7</maxHistory>
			<totalSizeCap>100mb</totalSizeCap>
		</rollingPolicy>
		<encoder class="net.logstash.logback.encoder.LogstashAccessEncoder">
			<customFields>
				{"app_name":"product-discovery-engine","log_type":"access"}
			</customFields>
			<fieldNames>
				<fieldsRequestHeaders>@fields.request_headers</fieldsRequestHeaders>
				<fieldsResponseHeaders>@fields.response_headers
				</fieldsResponseHeaders>
			</fieldNames>
			<lowerCaseHeaderNames>true</lowerCaseHeaderNames>
			<timeZone>UTC</timeZone>
		</encoder>
	</appender>

	<appender-ref ref="dailyRollingFileAppender" />

</configuration>
